Package com.sun.jna.platform.win32

# Class OaIdl.HREFTYPEByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.ptr.ByReference
com.sun.jna.platform.win32.WinDef.DWORDByReference
com.sun.jna.platform.win32.OaIdl.HREFTYPEByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  OaIdl

public static class OaIdl.HREFTYPEByReference extends WinDef.DWORDByReference

## Constructor Summary

Constructors
Constructor
Description
`HREFTYPEByReference()`
`HREFTYPEByReference(WinDef.DWORD value)`

## Method Summary

Modifier and Type
Method
Description
`OaIdl.HREFTYPE`
`getValue()`
Gets the value.
`void`
`setValue(OaIdl.HREFTYPE value)`

### Methods inherited from class com.sun.jna.platform.win32.WinDef.DWORDByReference

`setValue`

### Methods inherited from class com.sun.jna.ptr.ByReference

`toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HREFTYPEByReference

public HREFTYPEByReference()

### HREFTYPEByReference

public HREFTYPEByReference(WinDef.DWORD value)

## Method Details

### setValue

public void setValue(OaIdl.HREFTYPE value)

### getValue

public OaIdl.HREFTYPE getValue()
Description copied from class: `WinDef.DWORDByReference`
Gets the value.

Overrides:
  `getValue` in class `WinDef.DWORDByReference`
Returns:
  the value